\environment entorn

\starttext

\startsubject[title={Problemes d'equacions de primer grau}]

\startsubsubject[title={Preguntes}]

<%

exercicis = Hash.new

%>

<%# Exercici 1 %>
<%
exercicis[1] = Array.new

  multiple = rand(4..10)
  # Assegur que b-d = multiple * (c-a). D'aquesta manera les hores són nombres sencers.
  parametres = Hash.new
  parametres['a'] = rand(2..10)
  parametres['c'] = rand(11..21)

  parametres['d'] = rand(6..10)
  parametres['b'] = (parametres['c']-parametres['a'])*multiple + parametres['d']
  
exercicis[1].push(parametres)
%>

\startexercici[reference=exercici-1] Un viatger vol llogar un camell al Marroc. Hi ha dues ofertes: en la primera lloga el camell a <%=parametres['a']%> dirhams per hora i <%=parametres['b']%> dirhams de comissió; en la segona el lloga a <%=parametres['c']%> dirhams per hora i <%=parametres['d']%> dirhams de comissió.

\bigskip
Especifiqueu en quins casos triaríeu la primera oferta i en quins la segona
\stopexercici



<%# Exercici 2 %>
<%
exercicis[2] = Array.new

  parametres = Hash.new

  parametres['a'] = rand(6..9)*100
  parametres['c'] = rand(10..21)*100

  # diferència de la comissió per cotxe venut
  diferencia = rand(1..3)*25

  parametres['d'] = rand(1..3)*100+75
  parametres['b'] = parametres['d']+diferencia
  
  exercicis[2].push(parametres)
%>

\startexercici[reference=exercici-2] Una persona rep dues ofertes per ser comercial de cotxes (vegeu Taula~\in[taula:ofertes-comercials]):

\startplacetable[location=force, reference=taula:ofertes-comercials, title={Ofertes disponibles de comercial de cotxes}]
\bTABLE[setups={table5:header, table5:frame, table5:style}]
\bTR
  \bTH Empresa $A$ \eTH
  \bTH Empresa $B$ \eTH
\eTR
\bTR
  \bTD
     <%=parametres['a']%> € fixos mensuals
     
     <%=parametres['b']%> € de comissió per cotxe venut
  \eTD
  \bTD  
    <%=parametres['c']%> € fixos mensuals
    
    <%=parametres['d']%> € de comissió per cotxe venut
  
  \eTD
\eTR
\eTABLE
\stopplacetable


A partir de quants cotxes venuts li interessa a aquesta persona triar l'oferta de l'empresa $A$?
\stopexercici

\stopsubsubject

<%# ----------------------- Resolució ------------------------ %>
\page[yes]
\startsubsubject[title={Resolució}]

\startitemize
\sym{\in[exercici-1]}
<% exercicis[1].each do |par| %>

<%
sol = Rational(par['b']-par['d'], par['c']-par['a']).to_i
%>
\startitemize[a]
\item Si $x$ són les hores que lloguem el camell, tenim que el preu en la primera oferta és $<%=par['a']%>\cdot x + <%=par['b']%>$, i en la segona oferta és $<%=par['c']%>\cdot x + <%=par['d']%>$.
\item Si igualam aquestes dues expressions, obtendrem una equació: $<%=par['a']%> x + <%=par['b']%> = <%=par['c']%> x + <%=par['d']%>$. Si la resolem, obtindrem que $x = <%=sol%>$.
\item Això significa que per $<%=sol%>$ hores, les dues ofertes són igual de bones, és a dir, costarà en mateix el camell en ambdues.
\item Per un nombre d'hores menor que $<%=sol%>$, la segona oferta és més barata (per exemple per 0 hores). I per un nombre d'hores superior a aquest nombre, la primera oferta és més barata (ho podeu comprovar amb un nombre qualsevol major que $<%=sol%>$).
\stopitemize
<% end %>



\sym{\in[exercici-2]} 
<% exercicis[2].each do |par| %>
<%
  sol = Rational(par['c']-par['a'], par['b'] - par['d'])
  aprox = Rational(par['c']-par['a'], par['b'] - par['d']).to_f.round(3)
  
%>

\startitemize[a]
\item Si diem $x$ al nombre de cotxes venuts, tenim que el sou de l'empresa $A$ és $<%=par['a']%> + <%=par['b']%> \cdot x$; i el sou de l'empresa $B$ és $<%=par['c']%> + <%=par['d']%> \cdot x$.
\item Està clar que si no es venen quasi cotxes, l'empresa $B$ té un sou menor. Progressivament, però, el sou de l'empresa $A$ és cada vegada major, fins que sobrepassa el de l'empresa $B$. Volem saber en quin moment els sous de les dues empreses serien igual. Per això hem d'igualar les dues expressions dels sous, amb la qual cosa s'obté una equació:
\startformula
<%=par['a']%> + <%=par['b']%> x = <%=par['c']%> + <%=par['d']%> x
\stopformula
\item Aquesta equació té com a solució $<%=sol%> \simeq <%=aprox%>$.
\item Per tant, a partir de $<%=sol.ceil%>$ cotxes venuts, la persona guanyaria més a l'empresa $A$.
\stopitemize
<% end %>

\stopitemize

\vfill
La resolució d'aquests exercicis s'ha calculat automàticament usant programari lliure: encara que totes les expressions són correctes, potser algunes es poden simplificar més.

\stopsubsubject

\stoptext
